{% extends 'base.html' %}
{% load static %}
{% load my_filters %}

{% block title %}
<title>Account Lists</title>
{% endblock title %}

{% block content %}

<main>
    <h1>Account Lists</h1>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Number of Receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for acct in accounts %}
            <tr>
                <td>{{ acct.name }}</td>
                <td>{{ acct.number }}</td>
                <td>{{ receipts|acct_receipts:acct }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</main>
{% endblock content %}
